## com.fasterxml.jackson.databind.util
Class EnumValues

    java.lang.Object
      com.fasterxml.jackson.databind.util.EnumValues

    public final class EnumValues

extends Object

Helper class used for storing String serializations of enumerations.

Method Summary
`static EnumValues` `construct(Class<Enum<?>> enumClass, AnnotationIntrospector intr)`
`static EnumValues` `constructFromName(Class<Enum<?>> enumClass, AnnotationIntrospector intr)`
`static EnumValues` `constructFromToString(Class<Enum<?>> enumClass, AnnotationIntrospector intr)`
`SerializedString` `serializedValueFor(Enum<?> key)`
`Collection<SerializedString>` `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### construct

    public static EnumValues construct(Class<Enum<?>> enumClass,
                                       AnnotationIntrospector intr)

### constructFromName

    public static EnumValues constructFromName(Class<Enum<?>> enumClass,
                                               AnnotationIntrospector intr)

### constructFromToString

    public static EnumValues constructFromToString(Class<Enum<?>> enumClass,
                                                   AnnotationIntrospector intr)

### serializedValueFor

    public SerializedString serializedValueFor(Enum<?> key)

### values

    public Collection<SerializedString> values()

Copyright © 2012 fasterxml.com. All Rights Reserved.